From: "Vikraman Choudhury" <vikraman.choudhury@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/gentoostats:master commit in: overlay/app-portage/gentoostats/
Date: Sun, 19 Jun 2011 18:25:35 +0000 (UTC) [thread overview]
Message-ID: <7b2d946e574b43d83198135991f7e9a813c1c5bc.vikraman@gentoo> (raw)
commit: 7b2d946e574b43d83198135991f7e9a813c1c5bc
Author: Vikraman Choudhury <vikraman.choudhury <AT> gmail <DOT> com>
AuthorDate: Sun Jun 19 18:25:12 2011 +0000
Commit: Vikraman Choudhury <vikraman.choudhury <AT> gmail <DOT> com>
CommitDate: Sun Jun 19 18:25:12 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/gentoostats.git;a=commit;h=7b2d946e
update ebuild
---
overlay/app-portage/gentoostats/Manifest | 2 +-
.../gentoostats/gentoostats-9999.ebuild | 17 +++++++++++++++++
2 files changed, 18 insertions(+), 1 deletions(-)
diff --git a/overlay/app-portage/gentoostats/Manifest b/overlay/app-portage/gentoostats/Manifest
index 0837087..dae9b26 100644
--- a/overlay/app-portage/gentoostats/Manifest
+++ b/overlay/app-portage/gentoostats/Manifest
@@ -1 +1 @@
-EBUILD gentoostats-9999.ebuild 636 RMD160 9555c38818abc7142b20d355885408a07583c194 SHA1 c5350b519cec2e06835ccf4b2262b80f29913708 SHA256 66e98764eebc40f29b516926dc315632e86fb22e8f26a1beb0aa185be1731610
+EBUILD gentoostats-9999.ebuild 1156 RMD160 af4280c5a30113fad203deebe2ae5ec1903c9f03 SHA1 4469ad5120f689219f30bc375aa73e6f7d0f69c8 SHA256 7c51b32f7eee3567e46d1e02ab6531d6f0ae8248a411437517beb77b9ddf0475
diff --git a/overlay/app-portage/gentoostats/gentoostats-9999.ebuild b/overlay/app-portage/gentoostats/gentoostats-9999.ebuild
index d19a8ee..98ae89d 100644
--- a/overlay/app-portage/gentoostats/gentoostats-9999.ebuild
+++ b/overlay/app-portage/gentoostats/gentoostats-9999.ebuild
@@ -23,6 +23,8 @@ RDEPEND="${DEPEND}
>=app-portage/gentoolkit-0.3.0.2
dev-python/simplejson"
+AUTHFILE="${ROOT}"/etc/gentoostats/auth.cfg
+
src_compile() {
cd "client"
distutils_src_compile
@@ -35,4 +37,19 @@ src_install() {
pkg_postinst() {
distutils_pkg_postinst
+
+ if ! [ -f "${AUTHFILE}" ]; then
+ elog "Generating uuid and password in ${AUTHFILE}"
+ if ! [ -d "$(dirname "${AUTHFILE}")" ]; then
+ mkdir "$(dirname "${AUTHFILE}")"
+ fi
+ touch "${AUTHFILE}"
+ echo "[AUTH]" >> "${AUTHFILE}"
+ echo -n "UUID : " >> "${AUTHFILE}"
+ cat /proc/sys/kernel/random/uuid >> "${AUTHFILE}"
+ echo -n "PASSWD : " >> "${AUTHFILE}"
+ < /dev/urandom tr -dc a-zA-Z0-9 | head -c16 >> "${AUTHFILE}"
+ echo >> "${AUTHFILE}"
+ fi
+ chmod 0444 "${AUTHFILE}"
}
next reply other threads:[~2011-06-19 18:25 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-06-19 18:25 Vikraman Choudhury [this message]
-- strict thread matches above, loose matches on Subject: below --
2011-06-23 13:40 [gentoo-commits] proj/gentoostats:master commit in: overlay/app-portage/gentoostats/ Vikraman Choudhury
2011-06-23 15:14 Vikraman Choudhury
2011-08-20 19:26 Vikraman Choudhury
2016-12-12 3:00 Göktürk Yüksek
2016-12-29 6:25 Göktürk Yüksek
2017-01-02 6:34 Göktürk Yüksek
2017-01-02 6:34 Göktürk Yüksek
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=7b2d946e574b43d83198135991f7e9a813c1c5bc.vikraman@gentoo \
--to=vikraman.choudhury@gmail.com \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox